Upstream information

CVE-2019-14289 at MITRE

Description

An issue was discovered in Xpdf 4.01.01. There is an integer overflow in the function JBIG2Bitmap::combine at JBIG2Stream.cc for the "multiple bytes per line" case.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.3
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1143443 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 poppler Not affected
SUSE Enterprise Storage 7.1 poppler Not affected
SUSE Linux Enterprise Desktop 15 SP4 poppler Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 poppler Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 poppler Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 poppler Not affected
SUSE Linux Enterprise Real Time 15 SP3 poppler Not affected
SUSE Linux Enterprise Server 12 SP5 poppler Not affected
SUSE Linux Enterprise Server 12-LTSS poppler Unsupported
SUSE Linux Enterprise Server 15 SP4 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 poppler Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 poppler Not affected
SUSE Linux Enterprise Software Bootstrap Kit 12 poppler Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 poppler Unsupported
SUSE Manager Proxy 4.2 poppler Not affected
SUSE Manager Proxy 4.3 poppler Not affected
SUSE Manager Retail Branch Server 4.2 poppler Not affected
SUSE Manager Retail Branch Server 4.3 poppler Not affected
SUSE Manager Server 4.2 poppler Not affected
SUSE Manager Server 4.3 poppler Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP4 poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 poppler Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS poppler Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS poppler Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS poppler Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS poppler Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 poppler Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 poppler Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 poppler Not affected
SUSE Linux Enterprise Server 12 SP2-BCL poppler Unsupported
SUSE Linux Enterprise Server 12 SP4 poppler Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS poppler Affected
SUSE Linux Enterprise Server 15 SP1 poppler Unsupported
SUSE Linux Enterprise Server 15 SP1-LTSS poppler Not affected
SUSE Linux Enterprise Server 15 SP2 poppler Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS poppler Not affected
SUSE Linux Enterprise Server 15 SP3 poppler Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS poppler Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 poppler Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 poppler Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 15 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 poppler Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 poppler Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 poppler Affected
SLES for SAP Applications 11 SP2 poppler Not affected
SLES for SAP Applications 11 SP2 xpdf Not affected
SLES for SAP Applications 11 SP3 poppler Not affected
SUSE CaaS Platform 4.0 poppler Not affected
SUSE CaaS Platform 4.5 poppler Not affected
SUSE Enterprise Storage 6 poppler Unsupported
SUSE Linux Enterprise Desktop 11 poppler Unsupported
SUSE Linux Enterprise Desktop 11 xpdf Not affected
SUSE Linux Enterprise Desktop 11 SP1 poppler Not affected
SUSE Linux Enterprise Desktop 11 SP1 xpdf Not affected
SUSE Linux Enterprise Desktop 11 SP2 poppler Not affected
SUSE Linux Enterprise Desktop 11 SP2 xpdf Not affected
SUSE Linux Enterprise Desktop 11 SP3 poppler Not affected
SUSE Linux Enterprise Desktop 11 SP4 poppler Not affected
SUSE Linux Enterprise Desktop 12 poppler Unsupported
SUSE Linux Enterprise Desktop 12 SP1 poppler Unsupported
SUSE Linux Enterprise Desktop 12 SP2 poppler Unsupported
SUSE Linux Enterprise Desktop 12 SP3 poppler Not affected
SUSE Linux Enterprise Desktop 12 SP4 poppler Not affected
SUSE Linux Enterprise Desktop 15 poppler Not affected
SUSE Linux Enterprise Desktop 15 SP1 poppler Unsupported
SUSE Linux Enterprise Desktop 15 SP2 poppler Not affected
SUSE Linux Enterprise Desktop 15 SP3 poppler Not affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search poppler Not affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search xpdf Not affected
SUSE Linux Enterprise High Performance Computing 12 SP2 poppler Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP3 poppler Not affected
SUSE Linux Enterprise Module for Basesystem 15 poppler Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 poppler Not affected
SUSE Linux Enterprise Real Time 15 SP2 poppler Not affected
SUSE Linux Enterprise Server 11 poppler Unsupported
SUSE Linux Enterprise Server 11 SP1 poppler Not affected
SUSE Linux Enterprise Server 11 SP1 xpdf Not affected
SUSE Linux Enterprise Server 11 SP1 LTSS poppler Not affected
SUSE Linux Enterprise Server 11 SP1 LTSS xpdf Not affected
SUSE Linux Enterprise Server 11 SP2 poppler Not affected
SUSE Linux Enterprise Server 11 SP2 xpdf Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS poppler Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS xpdf Not affected
SUSE Linux Enterprise Server 11 SP3 poppler Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS poppler Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS poppler Not affected
SUSE Linux Enterprise Server 11 SP4 poppler Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS poppler Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS poppler Not affected
SUSE Linux Enterprise Server 12 poppler Unsupported
SUSE Linux Enterprise Server 12 SP1 poppler Unsupported
SUSE Linux Enterprise Server 12 SP1-LTSS poppler Unsupported
SUSE Linux Enterprise Server 12 SP2 poppler Unsupported
SUSE Linux Enterprise Server 12 SP2-ESPOS poppler Affected
SUSE Linux Enterprise Server 12 SP2-LTSS poppler Unsupported
SUSE Linux Enterprise Server 12 SP3 poppler Not affected
SUSE Linux Enterprise Server 12 SP3-BCL poppler Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS poppler Affected
SUSE Linux Enterprise Server 12 SP3-LTSS poppler Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS poppler Affected
SUSE Linux Enterprise Server 15 poppler Not affected
SUSE Linux Enterprise Server 15 SP1-BCL poppler Not affected
SUSE Linux Enterprise Server 15 SP2-BCL poppler Not affected
SUSE Linux Enterprise Server 15 SP3-BCL poppler Not affected
SUSE Linux Enterprise Server 15-LTSS poppler Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 poppler Affected
SUSE Linux Enterprise Server for SAP Applications 11 poppler Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP1 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 poppler Not affected
SUSE Linux Enterprise Server for SAP Applications 12 poppler Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 poppler Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 poppler Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 poppler Not affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 poppler Not affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 xpdf Not affected
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 poppler Unsupported
SUSE Linux Enterprise Software Development Kit 11 poppler Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP1 poppler Not affected
SUSE Linux Enterprise Software Development Kit 11 SP2 poppler Not affected
SUSE Linux Enterprise Software Development Kit 11 SP3 poppler Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 poppler Not affected
SUSE Linux Enterprise Software Development Kit 12 poppler Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 poppler Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP2 poppler Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 poppler Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 poppler Unsupported
SUSE Linux Enterprise Workstation Extension 15 SP2 poppler Not affected
SUSE Manager Proxy 4.0 poppler Unsupported
SUSE Manager Proxy 4.1 poppler Not affected
SUSE Manager Retail Branch Server 4.0 poppler Unsupported
SUSE Manager Retail Branch Server 4.1 poppler Not affected
SUSE Manager Server 4.0 poppler Unsupported
SUSE Manager Server 4.1 poppler Not affected
SUSE OpenStack Cloud 7 poppler Affected
SUSE OpenStack Cloud 8 poppler Affected
SUSE OpenStack Cloud 9 poppler Affected
SUSE OpenStack Cloud Crowbar 8 poppler Affected
SUSE OpenStack Cloud Crowbar 9 poppler Affected


SUSE Timeline for this CVE

CVE page created: Sun Jul 28 01:15:27 2019
CVE page last modified: Fri Jan 20 14:58:13 2023